# Trait syn::spanned::Spanned [−] [src]

    pub trait Spanned {
        fn span(&self) -> Span;
    }

A trait that can provide the `Span` of the complete contents of a syntax tree node.

This trait is automatically implemented for all types that implement `ToTokens` from the `quote` crate, as well as for `Span` itself.

See the module documentation for an example.

This trait is available only if Syn is built with both the `"parsing"` and `"printing"` features.

## Required methods

### `fn span(&self) -> Span` [src]

Returns a `Span` covering the complete contents of this syntax tree node, or `Span::call_site()` if this node is empty.

Loading content...

## Implementors

### `impl<T: ?Sized + ToTokens> Spanned for T` [src]

#### `fn span(&self) -> Span` [src]

Loading content...